Jupiter - Zadanie #1840

Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Utworzenie sekcji z obszarami naukowymi
2017-10-02 08:33 - Michat Komar

Status: Zamkniety Start date: 2017-10-03
Priority: Normalny Due date: 2017-10-03
Assignee: tukasz Waskiewicz % Done: 100%

Category: backend Estimated time: 0.00 hour

Target version: 0.3

Developer: Monika Maksymiuk Tester: tukasz Waskiewicz
Description

W ramach zadania nalezy wykona¢ najprostsza mozliwg implementacje.

Related issues:
Related to Jupiter - Btad # 1879: proces publikacji w stanie started po btedzie

Follows Jupiter - Zadanie # 1839: Zdefiniowanie dziatania sekcji z dyscyplina...

Copied to Jupiter - Zadanie # 1870: Utworzenie sekcji z obszarami naukowymi n...

Zamkniety 2017-12-01
Nowy 2017-10-02
Nowy 2017-10-03

2017-10-03

Associated revisions

Revision 76ab6c17 - 2017-11-22 10:16 - Michat Komar

refs #1840: Dodanie pierwszej wersji kategorii

Revision 68f1802a - 2017-11-22 10:26 - Michat Komar

refs #1840: Dodanie pierwszej wersji kategorii

Revision 9c006b68 - 2017-12-05 14:36 - Michat Komar

refs #1840: Usuniecie btednej walidacji bwmety

Revision 5d6af5e3 - 2017-12-15 13:46 - Michat Komar

refs #1840: Przywr6cenie usunigcia walidacji

Revision d717a311 - 2018-01-12 15:51 - Monika Maksymiuk

refs #1840. Usuwanie kategorii

History

#1 - 2017-10-02 08:34 - Michat Komar

- Follows Zadanie #1839: Zdefiniowanie dziatania sekcji z dyscyplinami i obszarami naukowymi added

#2 - 2017-10-02 08:35 - Michat Komar
- Description updated
#3 - 2017-10-02 09:00 - Michat Komar
- Follows deleted (Zadanie #1839: Zdefiniowanie dziatania sekcji z dyscyplinami i obszarami naukowymi)

#4 - 2017-10-02 09:00 - Michat Komar
- Due date deleted (2017-10-03)

- Start date deleted (2017-10-03)

- Parent task set to #1616

#5 - 2017-10-02 09:01 - Michat Komar
- Follows Zadanie #1839: Zdefiniowanie dziatania sekcji z dyscyplinami i obszarami naukowymi added

#6 - 2017-11-21 15:47 - Michat Komar
- Status changed from Nowy to W toku

#7 - 2017-11-22 10:49 - Michat Komar

- Copied to Zadanie #1870: Utworzenie sekcji z obszarami naukowymi na wersjell 0.4 added

#8 - 2017-11-22 10:50 - Michat Komar
- Description updated

#9 - 2017-11-22 12:10 - Michat Komar

- Status changed from W toku to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz

Zrobitem w bardzo waskiej formie. W nastepnej wersji bedzie mozna dodaé stownik kategorii i zarzgdzanie nim.

#10 - 2017-11-22 12:22 - Michat Komar
- % Done changed from 0 to 100

#11 - 2017-12-01 10:36 - Lukasz Waskiewicz

- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Michat Komar

500 przy zapisie (workflow.BASIC) jesli wpiszemy <test> w kategorie

lub przy publikacji

Caused by: pl.edu.icm.model.transformers.TransformationException: org.jdom.input.JDOMParseException: Error on line 12: cvc-pattern-valid:
Value '<test>' is not facet-valid with respect to pattern '[A-Za-z0-9_./:@\-]+' for type 'ExtldType'.

proces publikacji zostaje w stanie Started (zaktadam na to nowego buga) #1879

#12 - 2017-12-01 10:38 - Lukasz Waskiewicz

- Related to Biad #1879: proces publikacji w stanie started po btedzie added

#13 - 2017-12-05 14:38 - Michat Komar

- Status changed from Odpowiedz to Testowanie
- Assignee changed from Michat Komar to tukasz Waskiewicz
Usunatem walidacje bwmety przy zapisie. Jest btad podczas préby konwersji xml-a do yelementu w momencie, gdy wykorzystywany jest standardowy

reader. Moze w przyszto$ci bedzie mozna podpigé nowy.

#14 - 2017-12-18 10:11 - Lukasz Waskiewicz
- Status changed from Testowanie to Odpowiedz
- Assignee changed from tukasz Waskiewicz to Michat Komar

Mozna doda¢ kilka kategorii ale nie mozna ich usuwag¢ (jest tylko czyszczenie catej sekcji)

dopuszczalne jest wpisanie samych spacji w polach (to moze by¢ OK)

#15 - 2017-12-28 08:22 - Lukasz Waskiewicz
- Assignee changed from Michat Komar to Monika Maksymiuk

- Developer Monika Maksymiuk added

#16 - 2018-01-12 15:54 - Monika Maksymiuk

- Status changed from Odpowiedz to Testowanie

- Assignee changed from Monika Maksymiuk to tukasz Waskiewicz
- Developer deleted (Michat Komar)

Dodatam usuwanie kategorii.
Co do mozliwosci dodania z samymi spacjami to trzeba sig zastanowi¢ jaka przyjmujemy strategie:
1. We wszystkich polach inputowych trimujemy i nie pozwalamy dodawaé spacji (mamy na to funkcje walidujaca fieldEmpty)

2. Zostawiamy tak jak jest i czekamy na odpowiedz ze strony uzytkownikéw

#17 - 2018-01-17 14:01 - Lukasz Waskiewicz

- Status changed from Testowanie to Rozwigzany

2. zostawiamy i czekamy na odpowiedz

#18 - 2018-01-17 14:01 - Lukasz Waskiewicz

- Status changed from Rozwigzany to Zamkniety
